Skip to main content
POST
/
action
/
company_research_v2_get_report
[CR3] Get Full Report
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/company_research_v2_get_report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "report_id": "{{research_result.report_id}}",
  "output_variable_name": "company_report",
  "include_html": true
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
report_id
string
default:{{research_result.report_id}}
required

UUID of the report to retrieve.

output_variable_name
string
default:company_report
required

Variable name for the full report.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
include_html
boolean
default:true

Include pre-rendered HTML content in response.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action